Skip to content
Navigation

Reads a customer's answers to each product's registration questions, latest answered first.

GET
https://api.sherpo.io/merchant/v1/stores/{store}/customers/{customer}/answers

Authorization

  • bearer
    HTTP
    required

Path parameters

  • store
    string
    required

    The store's id.

  • customer
    string
    required
    minLength: 1

Query parameters

  • product
    optional
    string

    An id, or slug:<slug>.

    minLength: 1

Returns

200

Reads a customer's answers to each product's registration questions, latest answered first.

JSON
  • total
    number
    required

    How many products hold the customer's answers, past the first 100 too.

  • items
    array of
    object
    required
    • product
      object
      required
      • id
        string
        required
      • title
        string
        required
    • answers
      array of
      object
      required

      Each standing answer in the questions' order, with what was asked.

      • question_id
        string
        required
      • label
        string
        required
      • kind
        string
        required
      • preset
        required

        One of the following:

        • string
        • null
      • value
        required

        One of the following:

        • boolean
        • string
        • array<string>
JSON
  • type
    string
    required
    format: uri
  • title
    string
    required
  • status
    integer
    required
  • detail
    string
    required
  • code
    optional
    string
  • context
    optional
    object
  • reached_core
    optional
    boolean
  • core_answer
    optional
    string

Type to search…

↑↓ navigate↵ selectEsc close